#!/usr/bin/perl

$ENV{_ALLOW_WINBINDD}="1";

$ENV{_WINBINDD_FAKE_ENUMERATION}=$ENV{GETENT_FAKE_ENUM};

$semival=`getparam -q params.protocols.cifs.configuration.generate_uids.value`;
if ( $semival eq "" ) {
    $semival=`getparam -q params.protocols.cifs.configuration.generate_uids.default_value`;
}
chomp $semival;
$semion = ($semival eq "yes");
$automatic=0;
open(WINBINDCONF,"/cluster/config/samba/winbind.conf");
while (<WINBINDCONF>) {
	if (/winbind separator\s*=\s*(.*)$/) {
	    $winbind_sep=$1;
	}
	if (/automatic nis map\s*=\s*yes/i) {
	    $automatic=1;
	}
}

if ( ($ARGV[0] eq "") ||
     ($ARGV[1] ne "") ||
    ( $ARGV[0] ne passwd ) ||
    ( !$semion ) || 
    ( !$automatic ) )
{
	$database=shift(@ARGV);
	my $tmp;
	for (@ARGV) {
		$tmp.="\"$_\"";
		$tmp.=" ";
	}
	system("getent $database $tmp");
	exit;
}
open(GETENT, "getent $ARGV[0] $ARGV[1]|");
open(WINBINDCONF,"/cluster/config/samba/winbind.conf");
while (<WINBINDCONF>) {
	if (/winbind separator\s*=\s*(.*)$/) {
		$winbind_sep=$1;
	}
}

while (<GETENT>) {
	@passwd = split(/:/);
	@username = split("\\".${winbind_sep},$passwd[0]);
	if ($username[1] eq "" ) { # no seperator found
		#print "Found NIS $username[0]\n";
		$unixusers{$username[0]}=1;
		print;
	} else { # seperator found
		#print "Found winbind $username[1]\n";
		if ( ! $unixusers{$username[1]} ) {
			print;
		}
	
	}
}
