#!/bin/bash

FILE="/cluster/config/samba/smb.conf"
TMPFILE="/tmp/smb.conf"
echo $1

if [ $# -lt 1 ] ; then
	echo "Usage: This script accepts one parameter yes|no"
	exit 1
fi

VALUE=$1
if [ "$VALUE" == "yes" ] ; then
	REVERSEVAL="no"
elif [ "$VALUE" == "no" ] ; then
	REVERSEVAL="yes"
else
	echo "Usage: This script accepts one parameter yes|no"
	exit 1
fi


sed "s:stable write = $REVERSEVAL:stable write = $VALUE:" $FILE > $TMPFILE
cp $TMPFILE $FILE
cd /tmp
cdist $FILE
walknodes all /cluster/config/failover/scripts/etc/init.d/smb_server reload
echo Finished !!!
 

