#ifndef	EXASMB_ACLCLIENT_H
#define	EXASMB_ACLCLIENT_H

#include "unixntacl.h"

#ifdef	__cplusplus
extern "C" {
#endif

int exasmb_acl_get_acl(int h_len, char *h_data, unixntacl_acl **acl);
int exasmb_acl_set_acl(int h_len, char *h_data, const unixntacl_acl *acl);

int exasmb_acl_get_access(int h_len, char *h_data, uint32_t uid, uint32_t gid,
						  int ngroups, uint32_t *groups, uint32_t *max_access,
						  char *access_troubleshooting_details);

unixntacl_acl *exasmb_acl_new_acl(uint32_t type, int max_aces);
void exasmb_acl_free_acl(unixntacl_acl *acl);

#ifdef	__cplusplus
}
#endif

#endif // EXASMB_ACLCLIENT_H
