#include <iostream>
#include "sid_identifier_authority.h"


const sid_identifier_authority& 
sid_identifier_authority::operator=(const sid_identifier_authority& auth)
{
	if (&auth != this) {
		for(unsigned int i = 0; i < SID_AUTHORITY_SIZE; i++){
			_value[i] = auth._value[i];
		}
	}
	return *this;
}

bool 
sid_identifier_authority::operator!=(const sid_identifier_authority& other) const 
{

	return !(operator==(other));
}

bool 
sid_identifier_authority::operator==(const sid_identifier_authority& other) const 
{
	for (unsigned int i=0; i<SID_AUTHORITY_SIZE; i++) {
		if (_value[i] != other._value[i] ) {
			return false;
		}
	}
	return true;
}
unsigned char&
sid_identifier_authority::operator[](int pos)
{
	if (pos < 0 || pos >= SID_AUTHORITY_SIZE) {
		// TODO: throw ERROR
	}
	return _value[pos];
}
const unsigned char&
sid_identifier_authority::operator[](int pos)const 
{
	if (pos < 0 || pos >= SID_AUTHORITY_SIZE) {
		// TODO: throw ERROR
	}
	return _value[pos];
}
std::ostream& operator<< (std::ostream& os, const sid_identifier_authority& sididauth) {
	
	for (int i = 0; i < SID_AUTHORITY_SIZE; ++i) {
		os << sididauth._value[i];
	}
	return os;
}
