#ifndef H_UNIXNTACL_XDR
#define H_UNIXNTACL_XDR

#include "unixntacl.h"

#ifdef	__cplusplus
extern "C" {
#endif

uint32_t *encode_trustee_type(const trustee_type *x, uint32_t *p);
const uint32_t *decode_trustee_type(trustee_type *x, const uint32_t *p);

uint32_t *encode_unixntacl_acl_ace(const unixntacl_acl_ace *x, uint32_t *p);
const uint32_t *decode_unixntacl_acl_ace(unixntacl_acl_ace *x, const uint32_t *p);

uint32_t *encode_unixntacl_acl_header(const unixntacl_acl *x, uint32_t *p);
uint32_t *encode_unixntacl_acl_aces(const unixntacl_acl *x, uint32_t *p);
uint32_t *encode_unixntacl_acl(const unixntacl_acl *x, uint32_t *p);
const uint32_t *decode_unixntacl_acl(unixntacl_acl *x, const uint32_t *p);
const uint32_t *decode_unixntacl_acl_header(unixntacl_acl *x, const uint32_t *p);
const uint32_t *decode_unixntacl_acl_aces(unixntacl_acl *x, const uint32_t *p);


#ifdef	__cplusplus
}
#endif

#endif // #ifndef H_UNIXNTACL_XDR

