#ifndef __BASIC_LISTENER
#define __BASIC_LISTENER

#include <string>

#define DBG(x) if (verbose) {x;}
#define SERVER_PREFIX_SIZE 20

extern bool verbose;

//////////////////////////////////////
// Basic Listener					//
// -----------------				//
// The basis for Samba Elm Listener	//
// create new connection			//
//////////////////////////////////////

class BasicListener {
public:
	BasicListener(std::string &portName);
	BasicListener(char *portName);
	virtual ~BasicListener() {};

	int open();
	virtual std::string getPortName() const {return _portName;};

	virtual int newConnection();
private:
	BasicListener(BasicListener &basicListener); // dummy - prevent

	// data members
	std::string _portName;
protected:
	int _socket;
};

#endif //__BASIC_LISTENER

