#ifndef _H_SID_IDENTIFIER_AUTHORITY
#define _H_SID_IDENTIFIER_AUTHORITY

#ifdef __cplusplus
	#include <iostream>
#endif

#define  SID_AUTHORITY_SIZE 6
struct sid_identifier_authority
{
#ifdef __cplusplus
	const sid_identifier_authority& operator=(const sid_identifier_authority& auth);
	bool operator ==(const sid_identifier_authority& other) const;	
    bool operator !=(const sid_identifier_authority& other) const;
	unsigned char& operator[](int pos);
	const unsigned char& operator[] (int pos) const;
	friend std::ostream& operator<< (std::ostream& , const sid_identifier_authority&);
private: 
#endif

       unsigned char _value[SID_AUTHORITY_SIZE];
    
};
#endif	//_H_SID_IDENTIFIER_AUTHORITY
